Bug 1252259 - [Docs] [Director] Update section 6.3.6 to include Ceph customization requirements
[Docs] [Director] Update section 6.3.6 to include Ceph customization requirem...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: z1
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 01:39 EDT by jliberma@redhat.com
Modified: 2015-10-12 00:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 00:15:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jliberma@redhat.com 2015-08-11 01:39:00 EDT
Description of problem:

Existing product docs should mention the following limitations of customizing Ceph OSDs using hiera:

1. OSPd will not create partitions on the journal disk. Partitions must be manually created by user before installing Ceph storage servers.
2. OSPd will only create Ceph OSDs and journals on partitions with GPT disklabels. These must also be configured prior to hiera customization.

Example: parted /dev/sdb1 mklabel gpt

Version-Release number of selected component (if applicable):

python-rdomanager-oscplugin-0.0.8-44.el7ost.noarch

Additional info:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Configuring_Ceph_Storage
Comment 3 Andrew Dahms 2015-08-24 07:20:07 EDT
Assigning to Dan for review.
Comment 5 Dan Macpherson 2015-09-08 21:55:31 EDT
This has not been pushed live:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Advanced-Scenario_3_Using_the_CLI_to_Create_an_Advanced_Overcloud_with_Ceph_Nodes.html#sect-Advanced-Configuring_Ceph_Storage

There is now a note at the end of this section that reads:

== Important ==
The director does not create partitions on the journal disk. Manually create the journal partitions before installing Ceph storage servers.
The Ceph Storage OSDs and journals partitions require GPT disk labels, which you also configure prior to customization. For example, use the following command on the potential Ceph Storage host to create a GPT disk label for a disk or partition:

# parted [device] mklabel gpt

Jacob, how does this suit your request? Are there any further changes you need to the Ceph config?
Comment 6 Dan Macpherson 2015-10-12 00:15:37 EDT
No further feedback for a month. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.